com.independentsoft.exchange

## Enum UserConfigurationProperty

- java.lang.Object
- - java.lang.Enum<UserConfigurationProperty>
  - - com.independentsoft.exchange.UserConfigurationProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserConfigurationProperty>

      public enum UserConfigurationProperty
      extends java.lang.Enum<UserConfigurationProperty>

  Specifies the property types to get in a GetUserConfiguration operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Specifies the identifier, dictionary, XML data, and binary data property types.
    `BINARY_DATA` Specifies binary data property types.
    `DICTIONARY` Specifies dictionary property types.
    `ID` Specifies the identifier property.
    `XML_DATA` Specifies XML data property types.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserConfigurationProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserConfigurationProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final UserConfigurationProperty ID

      Specifies the identifier property.

    - #### DICTIONARY

          public static final UserConfigurationProperty DICTIONARY

      Specifies dictionary property types.

    - #### XML_DATA

          public static final UserConfigurationProperty XML_DATA

      Specifies XML data property types.

    - #### BINARY_DATA

          public static final UserConfigurationProperty BINARY_DATA

      Specifies binary data property types.

    - #### ALL

          public static final UserConfigurationProperty ALL

      Specifies the identifier, dictionary, XML data, and binary data property types.

  - ### Method Detail

    - #### values

          public static UserConfigurationProperty[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserConfigurationProperty c : UserConfigurationProperty.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserConfigurationProperty valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null